ig.module(
    "game.entities.player"
)
.requires(
    "impact.entity"
)
.defines(function(){
    EntityPlayer = ig.Entity.extend({
        // load sprite sheet with 32x32 sprite images
        animSheet: new ig.AnimationSheet(
            "images/player.png", 32, 32
        ),
        // enable passive collision
        collides: ig.Entity.COLLIDES.PASSIVE,

        // add a few animations, 0.5 seconds per frame
        init: function(x, y, settings) {
            this.parent(x, y, settings);
            this.addAnim("idle", 0.5, [0]);
            this.addAnim("moveleft", 0.5, [1,2]);
            this.addAnim("moveright", 0.5, [3,4]);
        },
        // if left or right is pressed, move character        
        update: function() {
            if (ig.input.state("left")) {
                this.currentAnim = this.anims["moveleft"];
                this.vel.x = -50;
            } else if (ig.input.state("right")) {
                this.currentAnim = this.anims["moveright"];
                this.vel.x = 50;
            } else {
                this.currentAnim = this.anims["idle"];
                this.vel.x = 0
            }
        }
    });
});
